itpp::TCP_Server_Application Class Reference

`#include <itpp/protocol/tcp_client_server.h>`

## Public Member Functions

| TCP_Server_Application ()
| Default constructor.
| ~TCP_Server_Application ()
| Destructor.
void | write_to_net (unsigned byte_size, double delta_time)
| ADD DOCUMENTATION HERE.

## Public Attributes

Signal< itpp::Packet * > | write
| ADD DOCUMENTATION HERE.

## Detailed Description

ADD DOCUMENTATION HERE

Definition at line 54 of file tcp_client_server.h.

## Constructor & Destructor Documentation

## TCP_Server_Application()

itpp::TCP_Server_Application::TCP_Server_Application | ( |  | ) |

inline

Default constructor.

Definition at line 58 of file tcp_client_server.h.

References itpp::Signal< DataType >::set_debug(), itpp::Signal< DataType >::set_name(), and write.

## ~TCP_Server_Application()

itpp::TCP_Server_Application::~TCP_Server_Application | ( |  | ) |

inline

Destructor.

Definition at line 63 of file tcp_client_server.h.

## Member Function Documentation

## write_to_net()

void itpp::TCP_Server_Application::write_to_net | ( | unsigned | byte_size,
|  | double | delta_time
| ) |  |

inline

ADD DOCUMENTATION HERE.

Definition at line 69 of file tcp_client_server.h.

References itpp::Event_Queue::now(), and write.

## Member Data Documentation

## write

Signal<itpp::Packet*> itpp::TCP_Server_Application::write

ADD DOCUMENTATION HERE.

Definition at line 66 of file tcp_client_server.h.

Referenced by TCP_Server_Application(), and write_to_net().

The documentation for this class was generated from the following file:

- itpp/protocol/tcp_client_server.h

Generated on Mon Jun 10 2024 11:49:41 for IT++ by Doxygen 1.9.8